Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.configuration
Class CatalogueConfigurationDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilitiesDocument
                          org.deegree.ogcwebservices.csw.configuration.CatalogueConfigurationDocument

All Implemented Interfaces:
  Serializable

    public class CatalogueConfigurationDocument

extends CatalogueCapabilitiesDocument

Represents an XML configuration document for a deegree CSW 2.0 instance, i.e. it consists of all sections common to an OGC CSW 2.0 capabilities document plus a deegree specific section named `deegreeParams`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected static URI` | `DEEGREECSW`

Fields inherited from class org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilitiesDocument
`EBRIM_CAPABILITIES_NAME, FILTER_CAPABILITIES_NAME, OGCNS`

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`CatalogueConfigurationDocument()`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton configuration document that contains the mandatory elements only.
`CatalogueConfiguration` | `getConfiguration()` Creates a class representation of the whole document.
`CatalogueDeegreeParams` | `getDeegreeParams()` Creates a class representation of the `deegreeParams`- section.
`protected OWSDomainType` | `getOWSDomainType(String operation, Element parameterElement)` Overwritten to cope with additional deegree CSW specific attributes (used in the "outputSchema" parameter element).

Methods inherited from class org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilitiesDocument
`getOperationsMetadata, parseCapabilities, parseEBRIMCapabilities`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCP, getDCPs, getKeywords, getKeywords, getOperation, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEEGREECSW

    protected static final URI DEEGREECSW

Constructor Detail

### CatalogueConfigurationDocument

    public CatalogueConfigurationDocument()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Creates a skeleton configuration document that contains the mandatory elements only.

  Overrides:
    `createEmptyDocument` in class `CatalogueCapabilitiesDocument`
  Throws:
    `IOException`
    `SAXException`

### getConfiguration

    public CatalogueConfiguration getConfiguration()
                                            throws InvalidConfigurationException

  Creates a class representation of the whole document.

  Returns:
    class representation of the configuration document
  Throws:
    `InvalidConfigurationException`

### getDeegreeParams

    public CatalogueDeegreeParams getDeegreeParams()
                                            throws InvalidConfigurationException

  Creates a class representation of the `deegreeParams`- section.

  Returns:
    the DeegreeParams of the catalogue
  Throws:
    `InvalidConfigurationException`

### getOWSDomainType

    protected OWSDomainType getOWSDomainType(String operation,
                                             Element parameterElement)
                                      throws XMLParsingException

  Overwritten to cope with additional deegree CSW specific attributes (used in the "outputSchema" parameter element).

  Overrides:
    `getOWSDomainType` in class `OWSCommonCapabilitiesDocument`
  Parameters:
    `operation` -
    `parameterElement` -
  Returns:
    OWSDomainType
  Throws:
    `XMLParsingException`
  See Also:
    "org.deegree.owscommon.OWSCommonCapabilitiesDocument#getParameter(org.w3c.dom.Element)"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org